# Create Users for ssh operation
```bash
sudo useradd unlock -m -s /opt/keymatic/keymatic.py
sudo useradd lock -m -s /opt/keymatic/keymatic.py
sudo useradd open -m -s /opt/keymatic/keymatic.py
sudo useradd door -m -s /opt/keymatic/keymatic.py

sudo mkdir /home/unlock/.ssh
sudo mkdir /home/lock/.ssh
sudo mkdir /home/open/.ssh
sudo mkdir /home/door/.ssh

sudo ln -s /opt/keymatic/authkeyfile/authorized_keys /home/unlock/.ssh/authorized_keys
sudo ln -s /opt/keymatic/authkeyfile/authorized_keys /home/lock/.ssh/authorized_keys
sudo ln -s /opt/keymatic/authkeyfile/authorized_keys /home/open/.ssh/authorized_keys
sudo ln -s /opt/keymatic/authkeyfile/authorized_keys /home/door/.ssh/authorized_keys
```

# Configure Keymatic (Create user)
```bash
https://www.npmjs.com/package/keyble
sudo apt install npm
sudo npm install --update --global --unsafe-perm keyble
sudo keyble-registeruser --user_name PI --qr_code_data M001A.....
```

# Create config
create config.py

# Automatic Update of SSH Keys from LDAP
```bash
crontab
  2 *    *  *   *    cd /opt/keymatic;./update_keys.py
```

# Optional: Create SSH-User for locking with HASS
```bash
sudo useradd lock-hass -m -s /opt/keymatic/keymatic.py
sudo mkdir /home/lock-hass/.ssh
sudo chown lock-hass.lock-hass /home/lock-hass/.ssh
#add authorized_keys entry
```
